Administration and scripting tools

This section covers:

  • Management strategies and tools
  • Command-line reference
  • Configuration and management tools
  • Remote administration tools
  • Monitoring and status tools
  • Scheduling and automation tools
  • Scripting tools


Configuration and management tools

This section covers:

  • Control Panel
  • Group Policy
  • Resultant Set of Policy
  • Computer Management
  • Local Users and Groups
  • The registry
  • Windows Management Instrumentation command-line
  • Microsoft Management Console


Remote administration tools

This section covers:

  • Remote administration
  • Using Web Interface for Remote Administration
  • Administering Remote Assistance
  • Remote Administration using Terminal Services
  • Windows Server 2003 Administration Tools Pack
  • Emergency Management Services


Monitoring and status tools

This section covers:

  • Task Manager overview
  • Network Diagnostics Web page
  • System Information
  • System Properties
  • Services
  • Event Viewer
  • Network Monitor
  • Monitoring performance
  • Shutdown Event Tracker
  • SNMP
  • Device Manager
  • Windows Management Instrumentation Control


Scheduling and automation tools

This section covers:

  • Task Scheduler
  • Logon Scripts
  • Windows Script Host
  • Using Component Services


Scripting tools

This section covers:

  • Using batch files
  • Using Component Services
  • Netsh
  • Logon scripts
  • Windows Management Instrumentation command-line
  • Windows Script Host

For information about Microsoft® Visual Basic® Scripting Edition (VBScript), see "VBScript Primer" at the Microsoft Windows Resource Kits Web site. (http://www.microsoft.com/)

For more information about creating scripts, see "Creating Enterprise Scripts" at the Microsoft Windows Resource Kits Web site. (http://www.microsoft.com/) For more information about managing scripts, see "Managing Enterprise Scripts" at the Microsoft Windows Resource Kits Web site. (http://www.microsoft.com/)


Software deployment

This section covers:

  • Software installation
  • Windows Update
  • Automatic Updates
  • Licensing
  • Windows Installer
  • Remote Installation Services
  • Remote administration
  • Terminal Services


Client computers

This section covers:

  • Windows Installer
  • Remote administration
  • Offline Files
  • User profiles
  • Network Connections
  • Connect clients to a printer


Network services

This section covers:

  • Managing core network services
  • Managing remote connections
  • Configuring communication links
  • Configuring communication services
  • Managing bandwidth
  • Integrating with other networks


Managing core network services

This section covers:

  • TCP/IP
  • IP version 6
  • Internet Protocol Security (IPSec)
  • Network Connections
  • DNS
  • DHCP
  • WINS


Managing remote connections

This section covers:

  • Routing and Remote Access
  • Connection Manager Administration Kit
  • Connection Point Services
  • Virtual private networks
  • Internet Authentication Service


Configuring communication links

This section covers:

  • Network Connections
  • Modems
  • Wireless networking
  • HyperTerminal


Configuring communication services

This section covers:

  • Telephony


Managing bandwidth

This section covers:

  • Quality of Service (QoS)
  • Windows ATM services

For information about managing bandwidth with Winsock Direct, see "Windows Server 2003 Network Architecture" at the Microsoft Windows Resource Kits Web site.(http://www.microsoft.com/)


Integrating with other networks

This section covers:

  • Novell NetWare integration
  • Services for Macintosh


Internet and E-mail Services

This section covers:

  • Using Internet Explorer
  • Using Windows Media Services
  • Using the FrontPage Server Extensions 2002
  • UDDI Services overview
  • Internet Information Services (IIS) 6.0
  • E-mail Services

Note

  • In the Windows Server 2003 family, you can implement enhanced security settings for Internet Explorer for all users and reduce the exposure of your server to Web sites that might pose a security risk. For more information, see Internet Explorer Enhanced Security Configuration.


E-mail Services

With E-mail Services, you can install components on your computer to configure it as a mail server. E-mail Services includes the Post Office Protocol 3 (POP3) service and the Simple Mail Transfer Protocol (SMTP) service, which retrieve and transfer e-mail, respectively. To provide e-mail services to users, such as sending and receiving e-mail, administrators can create mailboxes on the server.

This section covers:

  • Simple Mail Transfer Protocol (SMTP) service
  • POP3 service


Disks and data

This section covers:

  • Backing up and recovering data
  • Managing data storage
  • Managing files and folders
  • Managing disks and volumes


Backing up and recovering data

This section covers:

  • Backing up and restoring data
  • Shadow copies of shared folders
  • Accessing previous versions of shared files and folders
  • Disaster recovery


Managing data storage

This section covers:

  • Removable Storage
  • Remote Storage


Managing files and folders

This section covers:

  • Shared Folders
  • Distributed File System (DFS)
  • Encrypting File System
  • File compression overview
  • Using Indexing Service
  • Offline Files
  • Synchronization Manager


Managing disks and volumes

  • Disk Management
  • Disk Defragmenter
  • Disk quotas


Hardware

This section covers:

  • Hardware overview
  • Driver signing for Windows
  • Hardware compatibility
  • Designed for Microsoft Windows logo
  • Device Manager
  • Using an Uninterruptible Power Supply (UPS)

In addition, for information about managing printers and faxes, see Printers and faxes.


Printers and faxes

This section covers:

  • Using Fax
  • Printing


Availability and scalability

This section covers:

  • Windows Clustering
  • Enterprise Memory Architecture

Information about other technologies that enhance availability

For information about other operating system technologies that enhance availability for servers running Microsoft® Windows® Server 2003, see the following:

  • For information about using an Uninterruptible Power Supply (UPS) that connects to your computer using a serial cable, see Using an Uninterruptible Power Supply (UPS).
  • For information about dynamic volumes, including RAID-5 volumes which provide disk fault tolerance, see Disk Management.
  • For information about monitoring tools, see Monitoring and status tools.
  • For information about backup tools, see Backing up and restoring data.
  • For information about troubleshooting tools and strategies, see Troubleshooting strategies.
  • For information about preparing for recovery of a system, see Disaster recovery.
  • For detailed information about setting system recovery options, see To specify what happens when the system stops unexpectedly.

Information about practices that enhance availability

Maintaining highly available systems requires not only good choices in technology, but careful attention to design and operational practices. For more information about practices that enhance availability, see the following:

  • By following best practices for the technologies you use, you can prevent problems before they start, increasing system availability. For information about best practices for specific technologies, see the list in Best practices.
  • By following best practices for security, you protect against attacks that could decrease system availability. For more information, see Best practices for security.
  • By understanding the deployment and management practices described in the Windows Resource Kits, you can design, test, and operate systems in ways that maximize availability. For more information, see the following:
    • For information about browsing or obtaining the Windows Resource Kits, see Windows Deployment and Resource Kits.
    • For information about deploying Windows, see "Planning for Deployment" at the Microsoft Windows Resource Kits Web site. (http://www.microsoft.com/)
    • For information about planning for high availability, see Planning Server Deployments at the Microsoft Windows Resource Kits Web site. (http://www.microsoft.com/)
    • For detailed information about disks and volumes, server clusters, and network load balancing clusters, see the Server Management Guide at the Microsoft Windows Resource Kits Web site. (http://www.microsoft.com/)


Application and development support

This section covers:

  • The .NET Framework
  • UDDI Services overview
  • Using Component Services
  • Using Message Queuing
  • Using Data Sources (ODBC)
  • Windows Management Instrumentation Control
  • Using MSDN


Tools by category

This section provides links to information about tools installed by default on Microsoft® Windows® Server 2003 family operating systems. XOX

Note

  • XOX

The following types of tools are available:

  • Active Directory management tools
  • Availability and scalability tools
  • Command shell and scripting tools
  • Disk and data management tools
  • File and folder management tools
  • Group Policy management tools
  • Hardware management tools
  • Internet services management tools
  • Network services management tools
  • Performance monitoring tools
  • Printer and fax management tools
  • Process and service management tools
  • Remote administration tools
  • Security management tools
  • Software and system deployment tools
  • System management tools


Help and Support Center tools

This section provides links to the following tools hosted in Help and Support Center:

  • My Computer Information
  • Remote Assistance
  • Offer Remote Assistance
  • Network Diagnostics
  • Advanced System Information
  • System Configuration Utility


Internet Explorer Enhanced Security Configuration

Internet Explorer Enhanced Security Configuration places your server and Microsoft Internet Explorer in a configuration that decreases the exposure of your server to potential attacks that can occur through Web content and application scripts. As a result, some Web sites may not display or perform as expected.

For more information, see the following:

  • Internet Explorer Security Zones
  • How to browse when Internet Explorer Enhanced Security Configuration is enabled
  • Effects of Internet Explorer Enhanced Security Configuration
    • Internet Explorer Enhanced Security Configuration and terminal servers
    • Effects of Internet Explorer Enhanced Security Configuration on the Internet Explorer user experience
  • Managing Internet Explorer Enhanced Security Configuration
    • Add sites to the Trusted sites zone
    • Add sites to the Local intranet zone
    • Apply Internet Explorer Enhanced Security Configuration to specific users
    • Apply Windows 2000 default Internet Explorer security settings
    • Strengthen Internet Explorer security settings manually on your server
  • Browser Security — Best Practices

Internet Explorer Security Zones

In Internet Explorer, you can configure security settings for several built-in security zones: the Internet zone, the Local intranet zone, the Trusted sites zone, and the Restricted sites zone. Internet Explorer Enhanced Security Configuration assigns security levels to these zones as follows:

  • For the Internet zone, the security level is set to High.
  • For the Trusted sites zone, the security level is set to Medium, which allows browsing of many Internet sites.
  • For the Local intranet zone, the security level is set to Medium-Low, which allows your user credentials (name and password) to be passed automatically to sites and applications that need them.
  • For the Restricted sites zone, the security level is set to High.
  • All Internet and intranet sites are assigned to the Internet zone by default. Intranet sites are not part of the Local intranet zone unless you explicitly add them to this zone.

Return to top

How to browse when Internet Explorer Enhanced Security Configuration is enabled

The enhanced security configuration increases the level of security on your server, but may also affect Internet browsing in the following ways:

  • Because ActiveX controls and scripting are disabled, Internet sites may not display in Internet Explorer as expected and applications that make use of the Internet may not work correctly. If you trust an Internet site and need it to be functional, you can add that site to the Trusted sites zone in Internet Explorer. If you attempt to browse an Internet site that makes use of scripting or Active X controls, Internet Explorer will prompt you to consider adding the site to the Trusted sites zone. You should add the site to the Trusted sites zone only if you are completely confident that the site is trustworthy and that the URL to be added is indeed the correct one. For more information, see Add sites to the Trusted sites zone.
  • Access to intranet sites, Web-based applications that run over a local intranet, and other files on network shares may be restricted. If you trust an intranet site or share and need it to be functional, you can add it to the Local intranet zone. For more information, see Add sites to the Local intranet zone.

Return to top

Effects of Internet Explorer Enhanced Security Configuration

Internet Explorer Enhanced Security Configuration adjusts the security levels for the existing security zones. The following table describes how each zone is affected.

Zone | Security level | Result
Internet zone | High | This zone has the same security settings as the Restricted sites zone. All Internet and intranet sites are assigned to this zone by default. Web pages may not display in Internet Explorer as expected and applications that require the browser may not work correctly because scripts, Microsoft ActiveX controls, the Microsoft virtual machine (Microsoft VM) for HTML content, and file downloads have been disabled. If you trust an Internet site and need it to be functional, you can add that site to the Trusted sites zone in Internet Explorer. For more information, see Add sites to the Trusted sites zone. Access to scripts, executable files, and other files on Universal Naming Convention (UNC) shares is restricted unless the share is added to the Local intranet zone explicitly. For more information, see Add sites to the Local intranet zone.
Local intranet zone | Medium-Low | When visiting intranet sites, you may be repeatedly prompted for credentials (your user name and password) as a result of the enhanced security configuration. In the past, Internet Explorer automatically passed your credentials to intranet sites. The enhanced security configuration disables the automatic detection of intranet sites. If you want your credentials to be passed automatically to certain intranet sites, add those sites to the Local intranet zone. For more information, see Add sites to the Local intranet zone. Do not add Internet sites to the Local intranet zone, because your credentials will be passed automatically to the site if they are requested.
Trusted sites zone | Medium | This zone is for the Internet sites whose content you trust. For more information, see Add sites to the Trusted sites zone.
Restricted sites zone | High | This zone contains sites you don't trust, such as sites that may damage your computer or data if you attempt to download or run files from them.

The enhanced security configuration also adjusts the Internet Explorer extensibility and security settings to further reduce exposure to possible future security threats. These settings can be found on the Advanced tab of Internet Options in Control Panel. The following table describes the settings that are affected.

Feature | Entry | New setting | Result
Browsing | Display enhanced security configuration dialog | On | Displays a dialog box to notify you when an Internet site tries to use scripting or ActiveX controls.
Browsing | Enable Browser Extensions | Off | Disables features you installed for use with Internet Explorer that may have been created by companies other than Microsoft.
Browsing | Enable Install On Demand (Internet Explorer) | Off | Disables installing Internet Explorer components on demand, if needed by a Web page.
Browsing | Enable Install On Demand (Other) | Off | Disables installing Web components on demand, if needed by a Web page.
Microsoft VM | JIT compiler for virtual machine enabled (requires restart) | Off | Disables the Microsoft VM compiler.
Multimedia | Don't display online content in the media bar | On | Disables playback of media content in the Internet Explorer media bar.
Multimedia | Play sounds in Web pages | Off | Disables music and other sounds.
Multimedia | Play animations in Web pages | Off | Disables animations.
Multimedia | Play videos in Web pages | Off | Disables video clips.
Security | Check for server certificate revocation (requires restart) | On | Automatically checks a Web site's certificate to see whether it has been revoked before accepting it as valid.
Security | Check for signatures on downloaded programs | On | Automatically verifies and displays the identity of programs you download.
Security | Do not save encrypted pages to disk | On | Disables saving secured information in your Temporary Internet Files folder.
Security | Empty Temporary Internet Files folder when browser is closed | On | Automatically clears the Temporary Internet Files folder when you close the browser.

These changes reduce the functionality in Web pages, Web-based applications, local network resources, and applications that use a browser to display online help, support, and general user assistance.

For more information on using the Local intranet or Trusted sites zones' inclusion lists, see Managing Internet Explorer Enhanced Security Configuration.

When Internet Explorer Enhanced Security Configuration is enabled:

  • The Windows Update Web site is added to the Trusted sites zone. This allows you to continue to get important updates for your operating system.
  • The Windows error reporting site is added to Trusted sites zone. This allows you to report problems encountered with your operating system and search for fixes.
  • Several local machine sites (for example, http://localhost, https://localhost, hcp://system) are added to the Local intranet zone. This allows applications and code to work locally so that you can complete common administrative tasks.
  • The Platform for Privacy Preferences (P3P) level is set to Medium for the Trusted sites zone. If you want to change the P3P level for any zone other than the Internet Zone, go to the Privacy tab of Internet Options in Control Panel and click Import to apply a custom privacy policy. Sample privacy policies can be found at the Microsoft MSDN Library Web site (http://msdn.microsoft.com/workshop/security/privacy/overview/privacyimportxml.asp).

Internet Explorer Enhanced Security Configuration and terminal servers

The enhanced security configuration applies to different user accounts according to the type of installation. The following table describes how the users are affected.

Type of Installation | Enhanced security configuration is applied to
 | Administrators? | Power Users? | Limited Users? | Restricted Users?
Upgrading the operating system | Yes | Yes | No | No
Unattended installation of the operating system | Yes | Yes | No | No
Manual installation of Terminal Services | Yes | Yes | Yes** | Yes**

** During the manual Terminal Services installation, you are prompted to disable Internet Explorer Enhanced Security Configuration for users. This allows users to run a terminal server session without restrictions.

For a better experience when Terminal Services is enabled, you should remove the enhanced security configuration from members of the Users group. These users have fewer privileges on the server, so they present a lower level of risk if they are victims of an attack. For more information about applying the enhanced security configuration, see Apply Internet Explorer Enhanced Security Configuration to specific users.

Effects of Internet Explorer Enhanced Security Configuration on the Internet Explorer user experience

The following table describes how Internet Explorer Enhanced Security Configuration affects each user's experience with Internet Explorer.

Task | Can be completed by
 | Administrators? | Power Users? | Limited Users? | Restricted Users?
Turn on/off Internet Explorer Enhanced Security Configuration | Yes | No | No | No
Adjust the security level for a particular zone in Internet Explorer | Yes | Yes | No | No
Add sites to the Trusted sites zone | Yes | Yes | Yes | Yes
Add sites to the Local intranet zone | Yes | Yes | Yes | Yes

All other Internet Explorer tasks can be completed by all user groups, unless the server administrator chooses to further restrict user access.

Return to top

Managing Internet Explorer Enhanced Security Configuration

Internet Explorer Enhanced Security Configuration is designed to reduce your server's exposure to security threats. To ensure that you get the most benefit from the enhanced security configuration, consider these browser management recommendations:

  • All Internet and intranet sites are assigned to the Internet zone by default. If you trust an Internet or intranet site and need it to be functional, add the Internet site to the Trusted sites zone and add the intranet site to the Local intranet zone. For more information on the security levels for each zone, see Effects of Internet Explorer Enhanced Security Configuration.
  • If you want to run a browser-based client application over the Internet, you should add the Web page that hosts the application to the Trusted sites zone. For more information, see Add sites to the Trusted sites zone.
  • If you want to run a browser-based client application over a protected and secure local intranet, you should add the Web page that hosts the application to the Local intranet zone. For more information, see Add sites to the Local intranet zone.
  • Add internal sites and local servers to the Local intranet zone to make sure you have access to, and can run, applications from your servers.
  • Use unattend.txt to add intranet sites and UNC servers to the Local intranet zone inclusion list as part of the installation process. For more information, see the Readme file in Deploy.cab on the Windows product CD.
  • Use client computers to download drivers, service packs, and so on, and avoid any browsing on servers.
  • If you use disk imaging to install operating systems on your servers, add the intranet sites and UNC servers you trust to the Local intranet zone and add the Internet sites that you trust to the Trusted sites zone on the base image. You can then change the list for images relative to different server types and needs.

Add sites to the Trusted sites zone

When Internet Explorer Enhanced Security Configuration is enabled on your server, the security settings for all Internet sites are set to High. If you trust a Web page and need it to be functional, you can add that page to the Trusted sites zone in Internet Explorer.

  1. Navigate to the site that you want to add.
    • If you are already viewing the site that you want to add, continue to step 2.
    • If you know the URL of the site that you want to add, open Internet Explorer, type the site URL in the Address bar, and then wait for the site to load.
  2. On the File menu, click Add this site to, and then click Trusted Sites Zone.
  3. In the Trusted sites dialog box, click Add to move the site to the list, and then click Close.
  4. Refresh the page to view the site from its new zone.
  5. Check the Status bar of the browser to confirm that the site is in the Trusted sites zone.

Notes

  • If an Internet site tries to use scripting or ActiveX controls, a dialog box is displayed to notify you. You can add the Internet site to the Trusted sites zone directly from this dialog box. If you have disabled this dialog box, you can re-enable the dialog box in Internet Explorer. On the Tools menu, click Internet Options. On the Advanced tab, select Display enhanced security configuration dialog.
  • A Web page can be part of only one zone at a time — you cannot add a page to both the Trusted sites zone and the Local intranet zone.
  • When you add a Web page to the Trusted sites zone, you are adding the domain for that page. Therefore, all pages within that domain are also added. For example, if you add http://www.microsoft.com/windowsxp/expertzone/ to your Trusted sites zone, you are adding http://www.microsoft.com. If you then want to view the Windows Help and Support site, you will have to add http://support.microsoft.com separately, because the Windows Help and Support site is a separate domain.
  • Internet Explorer maintains two different lists of sites for the Trusted Sites zone. One list is in effect when the enhanced security configuration is enabled, and a separate list is in effect when the enhanced security configuration is disabled. When you add a Web page to the Trusted sites zone, you are adding it only to the list that is currently in effect.
  • You can use wildcards to add all subdomains for a given domain. For example, you can add *.microsoft.com to the list, which adds both www.microsoft.com and support.microsoft.com.
  • Many Internet sites use more than one domain to host their content. You may have to add several domains to the Trusted sites zone to have full functionality for one site.
  • During installation you can add many sites at one time to the Trusted sites zone by using certain settings in unattend.txt. For more information, see the Readme file in Deploy.cab on the Windows product CD. You can also use Group Policy to add and manage multiple sites. For more information, see the Microsoft Windows Server 2003 Deployment Kit.

Add sites to the Local intranet zone

When Internet Explorer Enhanced Security Configuration is enabled, the security settings for all intranet sites are set to High. As a result, you are prompted for your credentials (your user name and password) each time you visit intranet sites that have not been added to the Local intranet zone. If you routinely use intranet sites, and you know those sites are trustworthy, you can add them to the Local intranet zone in Internet Explorer.

  1. Navigate to the site that you want to add.
    • If you are already viewing the site that you want to add, continue to step 2.
    • If you know the URL of the site that you want to add, open Internet Explorer, type the site URL in the Address bar, and then wait for the site to load.
  2. On the File menu, click Add this site to, and then click Local Intranet Zone.
  3. In the Local intranet dialog box, click Add to move the site to the list, and then click Close.
  4. Refresh the page to view the site from its new zone.
  5. Check the Status bar of the browser to confirm that the site is in the Local intranet zone.

Notes

  • Do not add Internet sites to the Local intranet zone, because your credentials are passed automatically to the site if they are requested.
  • A Web page can be part of only one zone at a time — you cannot add a page to both the Trusted sites zone and the Local intranet zone.
  • The enhanced security configuration also restricts access to scripts, executable files, and other potentially unsafe files on a UNC path unless it is added to the Local Intranet zone explicitly. For example, if you want to access \\server\share\setup.exe, you must add \\server to the Local intranet zone.
  • When you add a Web page to the Local intranet zone, you are adding the domain for that page. Therefore, all pages within that domain are also added. For example, if you add http://YourIntranetServer/SubWeb to your Local intranet zone, you are adding http://YourIntranetServer.
  • Internet Explorer maintains two different lists of sites for the Local intranet zone. One list is in effect when the enhanced security configuration is enabled, and a separate list is in effect when the enhanced security configuration is disabled. When you add a Web page to the Local intranet zone, you are adding it only to the list that is currently in effect.
  • During installation you can add many sites at one time to the Local intranet zone by using certain settings in unattend.txt. For more information, see the Readme file in Deploy.cab on the Windows product CD. You can also use Group Policy to add and manage multiple sites. For more information, see the Microsoft Windows Server 2003 Deployment Kit.

Apply Internet Explorer Enhanced Security Configuration to specific users

Internet Explorer Enhanced Security Configuration allows you to control the level of Internet Explorer access allowed to certain user groups on your server.

  1. Open Control Panel, click Add or Remove Programs, and then click Add/Remove Windows Components.
  2. Select Internet Explorer Enhanced Security Configuration, and then click Details.
  3. Select the user group(s) that you want to apply the enhanced security configuration to — Administrators, Users, or both — and then click OK.
  4. Click Next, and then click Finish.
  5. Restart Internet Explorer to apply the enhanced security settings.

Notes

  • When you apply Internet Explorer Enhanced Security Configuration to the Administrators group, the settings are applied to Administrators and Power Users. When you apply Internet Explorer Enhanced Security Configuration to the Users group, the settings are applied to Limited and Restricted Users.
  • For up-to-date information about Internet Explorer security zones, go to the Microsoft MSDN Library Web site (http://msdn.microsoft.com/workshop/security/szone/overview/templates.asp).

Apply Windows 2000 default Internet Explorer security settings

If Internet Explorer Enhanced Security Configuration is enabled on your server, you may find it necessary to use the default Internet Explorer security settings of Windows 2000.

  1. Open Control Panel, click Add or Remove Programs, and then click Add/Remove Windows Components.
  2. Select Internet Explorer Enhanced Security Configuration, click the check box to clear the selection, and then click OK.
  3. Click Next and then click Finish.
  4. Restart Internet Explorer to apply the changes.

Important

  • When you restore Windows 2000 security settings for Internet Explorer, you also restore the lists of Trusted sites and Local intranet sites that were in effect at the time Internet Explorer Enhanced Security Configuration was applied.
  • Applying the Windows 2000 default Internet Explorer security settings increases your server's exposure to potential attacks from malicious Web-based content.

Strengthen Internet Explorer security settings manually on your server

If you do not use Internet Explorer Enhanced Security Configuration in your environment, you can easily strengthen Internet Explorer by using Internet Options in Control Panel to manually raise the security settings on your server.

  1. Open Internet Explorer.
  2. On the Tools menu, click Internet Options.
  3. On the Security tab, select the Web content zone you want to adjust: Internet, Local intranet, Trusted sites, or Restricted sites.
  4. Under Security level for this zone, click Default Level to use the default security level for the zone, or click Custom Level and then select the settings you want.

Notes

  • For Restricted sites, click Custom Level, and then click a level in the Reset to list.
  • For up-to-date information about Internet Explorer security zones, go to the Microsoft MSDN Library Web site (http://msdn.microsoft.com/workshop/security/szone/overview/templates.asp).

Return to top

Browser Security — Best Practices

Using servers for Internet browsing does not adhere to sound security practices because Internet browsing increases the exposure of your server to potential security attacks. Regardless of the browser you use, you should restrict browsing on your server.

To reduce the risk to your server of potential attacks from malicious Web-based content:

  • Do not use servers for browsing general Web content.
  • Use client computers to download drivers, service packs, and so on.
  • Do not view sites that you cannot confirm are secure.
  • Use a limited user account instead of an administrator account for general Web browsing.
  • Use Group Policy to keep unauthorized users from making inappropriate changes to browser security settings.

Return to top


This information is not available

The information you are trying to locate is not applicable in the version of Windows you are using.

Click Back to return to the previous topic.